<?php

namespace App\Repositories\Core\Mail;

use App\Models\Core\Mail\MailLog;
use App\Traits\Model\Basic;

class MailLogs
{
    use Basic;

    public static function getSubject($id)
    {
        return MailParser::getSubject(self::get($id)->event);
    }

    public static function getParsed($id)
    {
        return MailParser::getParsed(self::get($id)->event);
    }

    public static function getModel()
    {
        return MailLog::query();
    }
}
